using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using wpf_connection3;

namespace wpf_connection3
{
    public interface IDataProvider
    {
        IEnumerable<Product> getProduct(int pageNum);
        int getProductCount();
        void setOrder(string condition);

        List<ProductType> getProductTypes();
        void clearFilter();
        void addFilter(string name, object value);
        void setMinCostForAgent(decimal minCost, int[]ids);
    }

}
